Docs
Get an API key
API reference›Vector Store

Search Collection

POST /v1/vector_store/{id}/search View .md

Searches items in a vector store collection for the closest embeddings matches.

  • id string required

    The ID of the vector store collection.

Search Vector Store Request Payload

  • input string required

    The text query to search against the embeddings items in the vector store collection.

OK

application/json · search-vector-store-response-payload

2 fields
  • results array of objects

    A list of collection items that best match the embeddings search query, sorted by most relevant first.

    3 fields
    • id string

      The unique ID of the vector store collection item.

    • created string

      The UTC creation timestamp of the collection item in ISO 8601 format.

    • content string

      The readable content text of the vector store collection item.

  • usage object

    An object containing usage information for this embeddings request.

    2 fields
    • prompt_tokens integer

      Number of tokens in the provided input.

    • total_tokens integer

      Total number of tokens used in the request.

curl https://api.vultrinference.com/v1/vector_store/{id}/search \
  -H "Authorization: Bearer $VULTR_INFERENCE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "input": "string"
  }'
Response · 200
{
    "results": [
        {
            "id": "string",
            "created": "string",
            "content": "string"
        }
    ],
    "usage": {
        "prompt_tokens": 0,
        "total_tokens": 0
    }
}